/*
 * posic.h - precipitation process of silicon carbide in silicon
 *
 * author: Frank Zirkelbach <frank.zirkelbach@physik.uni-augsburg.de>
 *
 */

#ifndef POSIC_H
#define POSIC_H

/* includes */

#define _GNU_SOURCE

// system
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <math.h>

// swapped out functions
#include "math/math.h"
#include "list/list.h"
#include "random/random.h"

// moldyn core functions
#include "moldyn.h"

// potentials
#include "potentials/harmonic_oscillator.h"
#include "potentials/lennard_jones.h"
#include "potentials/albe.h"
#ifdef TERSOFF_ORIG
#include "potentials/tersoff_orig.h"	// obsolete & wrong! ;)
#else
#include "potentials/tersoff.h"
#endif

/* defines */

#endif
